Subject: bug#44655: 28.0.50; Oversized SVG margin

From: Arash Esbati <[email-masked]>
Date: Sat, 04 Dec 2021 12:00:29 +0100

Paul Eggert <[email-masked]> writes:

> I installed a patch into master to do that, along with other patches
> to try using svg_handle_get_intrinsic_size_in_pixels with
> bleeding-edge librsvg, and to catch some potential integer overflow
> problems I noticed while doing all this (see attached).

I can't build Emacs now with this error:

    image.c: In function 'svg_load_image':
    image.c:10464:15: error: void value not ignored as it ought to be
    10464 |   has_viewbox = rsvg_handle_get_intrinsic_size_in_pixels (rsvg_handle,
          |               ^

This is on Win10 with Msys2, gcc 11.2 and librsvg 2.52.4.

Best, Arash